
void _efl_ui_action_connector_bind_clickable_to_theme(Efl_Canvas_Layout *object, Efl_Input_Clickable *clickable);

EAPI EAPI_WEAK void efl_ui_action_connector_bind_clickable_to_theme(Efl_Canvas_Layout *object, Efl_Input_Clickable *clickable)
{
   const Efl_Class *klass = efl_ui_action_connector_class_get();
   EINA_SAFETY_ON_NULL_RETURN(klass);
   _efl_ui_action_connector_bind_clickable_to_theme(object, clickable);
}

void _efl_ui_action_connector_bind_clickable_to_object(Efl_Input_Interface *object, Efl_Input_Clickable *clickable);

EAPI EAPI_WEAK void efl_ui_action_connector_bind_clickable_to_object(Efl_Input_Interface *object, Efl_Input_Clickable *clickable)
{
   const Efl_Class *klass = efl_ui_action_connector_class_get();
   EINA_SAFETY_ON_NULL_RETURN(klass);
   _efl_ui_action_connector_bind_clickable_to_object(object, clickable);
}

static Eina_Bool
_efl_ui_action_connector_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifdef EFL_UI_ACTION_CONNECTOR_EXTRA_OPS
   EFL_OPS_DEFINE(ops, EFL_UI_ACTION_CONNECTOR_EXTRA_OPS);
   opsp = &ops;
#endif

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_action_connector_class_desc = {
   EO_VERSION,
   "Efl.Ui.Action_Connector",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Action_Connector_Data),
   _efl_ui_action_connector_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_action_connector_class_get, &_efl_ui_action_connector_class_desc, NULL, NULL);
